Subject: In coreutils 9.5, "cp" command does not honor "--interactive" option
From: Robert Hill <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 11 May 2024 23:03:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After upgrading coreutils from 9.0 to 9.5, the following change occurred:

In coreutils 9.0, the command "cp -Tipruvx /src-dir /dst-dir" requested
interactive confirmation before replacing an old destination file with a
newer source file, as expected.

In coreutils 9.5, the command "cp -Tipruvx /src-dir /dst-dir" no longer
requests interactive confirmation, but just goes ahead and replaces old
destination files with newer source files, which is not expected.

Thank you in advance for looking at this, Bob.